Card Shipments
List shipments
https://api.firstleeward.com/v0/card-shipmentsReturns a paginated list of card shipments, most recent first. Pass cardId to filter to shipments that include a given card (or any of several cards). Pass include=cards to include every card in each matching shipment.
Authorizations
Authorizationstring · headerrequiredAPI key as Bearer token, e.g. Bearer YOUR_API_KEY
Headers
Leeward-Versionenum<string>requiredAPI version (YYYY-MM-DD). Available option: 2026-09-18
Query Parameters
limitintegerdefault: 20Maximum number of items to return (1-100, default: 20)
cursorstringOpaque cursor for pagination. Pass nextCursor from previous response to get next page.
statusstring[]Filter shipments by status (comma-separated)
DRAFTPLACEDIN_PRODUCTIONREADY_TO_SHIPIN_TRANSITOUT_FOR_DELIVERYDELIVEREDDELIVERY_FAILEDEXCEPTIONCANCELEDcardIdstring<uuid>[]Filter shipments by card ID(s) (comma-separated). Returns shipments that include any of the given cards as members.
includestringRelated resources to include. Pass cards to include all cards in each matching shipment.
Response
200Response for status 200
Option 1 · With cards
itemsobject[]requiredShow child attributes
idstring<uuid>requiredUnique shipment identifier
statusstringrequiredShipment lifecycle status
DRAFTPLACEDIN_PRODUCTIONREADY_TO_SHIPIN_TRANSITOUT_FOR_DELIVERYDELIVEREDDELIVERY_FAILEDEXCEPTIONCANCELEDdestinationAddressobjectrequiredShipping address
Show child attributes
line1stringrequiredStreet address line 1
line2string | nullrequiredStreet address line 2
zonestring | nullrequiredState, province, or zone
citystringrequiredCity
postalCodestringrequiredPostal code
countrystringrequiredISO 3166-1 alpha-2 country code
recipientobjectrequiredRecipient details
Show child attributes
firstNamestringrequiredRecipient first name
lastNamestringrequiredRecipient last name
phoneNumberstringrequiredRecipient phone number
dialCodeintegerrequiredPhone dial code
emailstring<email>requiredRecipient email address
courierobjectrequiredCourier on the shipment
Show child attributes
Option 1 · Postal
typestringrequiredOption 2 · Courier
typestringrequirednamestringrequiredCourier name. May be manufacturer-assigned after submit.
DHLFEDEXSFEXPRESStrackingNumberstring | nullrequiredCourier tracking number
trackingUrlstring | nullrequiredCourier tracking URL
cutoffDatestring | nullrequiredISO 8601 cutoff date returned by the manufacturer
createdAtstringrequiredISO 8601 creation timestamp
updatedAtstringrequiredISO 8601 last update timestamp
submittedAtstring | nullrequiredISO 8601 timestamp when submitted to the manufacturer
deliveredAtstring | nullrequiredISO 8601 timestamp when all cards were delivered
cardsobject[]requiredCards included in this shipment
Show child attributes
idstring<uuid>requiredUnique shipment member identifier
cardIdstring<uuid>requiredID of the card being shipped
cardDesignIdstringrequiredCard design identifier
shippingAddressobjectrequiredShipping address
Show child attributes
line1stringrequiredStreet address line 1
line2string | nullrequiredStreet address line 2
zonestring | nullrequiredState, province, or zone
citystringrequiredCity
postalCodestringrequiredPostal code
countrystringrequiredISO 3166-1 alpha-2 country code
productionStatusstringrequiredPer-card production status
PENDINGREQUESTEDIN_PRODUCTIONCOMPLETEDACTIVATEDCANCELEDON_HOLDBULK_SHIP_REJECTEDrejectedAtstring | nullrequiredISO 8601 timestamp when this card was rejected and excluded from the shipment, or null if the card was accepted
createdAtstringrequiredISO 8601 creation timestamp
updatedAtstringrequiredISO 8601 last update timestamp
nextCursorstring | nullrequiredCursor for next page, or null if no more items
Option 2 · Summary
itemsobject[]requiredShow child attributes
idstring<uuid>requiredUnique shipment identifier
statusstringrequiredShipment lifecycle status
DRAFTPLACEDIN_PRODUCTIONREADY_TO_SHIPIN_TRANSITOUT_FOR_DELIVERYDELIVEREDDELIVERY_FAILEDEXCEPTIONCANCELEDdestinationAddressobjectrequiredShipping address
Show child attributes
line1stringrequiredStreet address line 1
line2string | nullrequiredStreet address line 2
zonestring | nullrequiredState, province, or zone
citystringrequiredCity
postalCodestringrequiredPostal code
countrystringrequiredISO 3166-1 alpha-2 country code
recipientobjectrequiredRecipient details
Show child attributes
firstNamestringrequiredRecipient first name
lastNamestringrequiredRecipient last name
phoneNumberstringrequiredRecipient phone number
dialCodeintegerrequiredPhone dial code
emailstring<email>requiredRecipient email address
courierobjectrequiredCourier on the shipment
Show child attributes
Option 1 · Postal
typestringrequiredOption 2 · Courier
typestringrequirednamestringrequiredCourier name. May be manufacturer-assigned after submit.
DHLFEDEXSFEXPRESStrackingNumberstring | nullrequiredCourier tracking number
trackingUrlstring | nullrequiredCourier tracking URL
cutoffDatestring | nullrequiredISO 8601 cutoff date returned by the manufacturer
createdAtstringrequiredISO 8601 creation timestamp
updatedAtstringrequiredISO 8601 last update timestamp
submittedAtstring | nullrequiredISO 8601 timestamp when submitted to the manufacturer
deliveredAtstring | nullrequiredISO 8601 timestamp when all cards were delivered
nextCursorstring | nullrequiredCursor for next page, or null if no more items
